<template>
  <div class="relative mx-auto py-5 my-promotion-page">
    <el-table
      v-loading="isLoading"
      :data="promotion.PromotionApplyList"
      width="100"
      height="var(--table-header-height)"
    >
      <template #empty>
        <lazy-utils-not-found />
      </template>
      <el-table-column
        prop="RequestId"
        label="#"
        min-width="70"
        align="center"
      />
      <el-table-column :label="$t('title')" align="center">
        <el-table-column
          :label="$t('promotion_code')"
          min-width="140"
          align="center"
        >
          <template #default="scope">
            <span>{{ scope.row.PromotionTitle }}</span>
            <p>{{ scope.row.PromoCode }}</p>
          </template>
        </el-table-column>
      </el-table-column>
      <el-table-column
        prop="RequestedOn"
        :label="$t('requested_on')"
        min-width="140"
        align="center"
      />
      <el-table-column :label="$t('start_date')" align="center">
        <el-table-column :label="$t('end_date')" min-width="100" align="center">
          <template #default="scope">
            <span>{{ scope.row.StartDate }}</span>
            <p>{{ scope.row.EndDate }}</p>
          </template>
        </el-table-column>
      </el-table-column>
      <el-table-column
        prop="VerifiedAmountForDisplay"
        :label="$t('approved_amount')"
        min-width="150"
        align="right"
        header-align="center"
      />
      <el-table-column
        prop="TurnoverForDisplay"
        :label="$t('turnover')"
        min-width="100"
        align="right"
        header-align="center"
      />
      <el-table-column
        prop="Status"
        :label="$t('status')"
        min-width="100"
        align="left"
        header-align="center"
      >
        <template #default="scope">
          <span :class="`fc-${scope.row.colorClass}`">{{
            scope.row.Status
          }}</span>
        </template>
      </el-table-column>
      <el-table-column
        :label="$t('turnover_progress')"
        min-width="150"
        align="center"
      >
        <template #default="scope">
          <el-progress
            v-if="scope.row.Status === approved"
            :text-inside="true"
            :stroke-width="20"
            :percentage="scope.row.Progress"
          />
        </template>
      </el-table-column>
    </el-table>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import HeaderTitle from "@/components/new-black-theme/m-header-title.client.vue";

export default defineComponent({
  components: {
    HeaderTitle,
  },
  props: {
    containerClass: {
      type: String,
      default: "",
    },
  },
  setup() {
    const { promotion, approved, isLoading } = useMyPromotion();
    return {
      promotion,
      approved,
      isLoading,
    };
  },
});
</script>

<style scoped>
/* [layout="sbo"] .my-promotion-page {
  background: var(--background1, white);
} */
</style>
